/****************************************************************************
* FILENAME:      CONFIG.H                                                   *
*                                                                           *
* VERSION:       V1.0                                                       *
*                                                                           *
* DESCRIPTION:   Header file for system and functions                       *  
*                                                                          	*
* TOOLS:         KEIL uVision3                                          	*
*                ARM Development Suite ADS1.2                               *
*                                                                           *
* REVISION HISTORY:                                                         *
* Version  Author          Date          Remarks                            *
* 1.0      Anthony Xie     10/10/2005    - -                                *
*****************************************************************************/


//****************************************************************************************************
//**File name: config.h
//**Function:  config file for system and functions
//********************************************************************************************************/
#ifndef __CONFIG_H
#define __CONFIG_H


#ifndef TRUE
#define TRUE  1
#endif

#ifndef FALSE
#define FALSE 0
#endif

//--------------------------------------------------------------------------
// Standard Data Types
//--------------------------------------------------------------------------
//                      Type
//                      Pointer
//
typedef signed   char   Int8,       	/**< 8 bit    signed integer */
                        *pInt8;     	/**< 8 bit    signed integer */
typedef signed   short  Int16,      	/**< 16 bit   signed integer */
                        *pInt16;    	/**< 16 bit   signed integer */
typedef signed   long   Int32,      	/**< 32 bit   signed integer */
                        *pInt32;    	/**< 32 bit   signed integer */
typedef unsigned char   UInt8,      	/**< 8 bit  unsigned integer */
                        *pUInt8;    	/**< 8 bit  unsigned integer */
typedef unsigned short  UInt16,     	/**< 16 bit unsigned integer */
                        *pUInt16;   	/**< 16 bit unsigned integer */
typedef unsigned long   UInt32,     	/**< 32 bit unsigned integer */
                        *pUInt32,   	/**< 32 bit unsigned integer */
						CanStatusCode,  /**< General return code */
						*pCanStatusCode;/**< General return code */
typedef float           Float,      	/**< 32 bit floating point */
                        *pFloat;    	/**< 32 bit floating point */
typedef double          Double,     	/**< 32/64 bit floating point */
                        *pDouble;   	/**< 32/64 bit floating point */
typedef unsigned int    Bool,       	/**< Boolean (TM_TRUE or TM_FALSE) */
                        *pBool;     	/**< Boolean (TM_TRUE or TM_FALSE) */
typedef char            Char,       	/**< 8 bit character */
                        *pChar;     	/**< 8 bit character */


//*******************************
//* System configue             
//*******************************
#define __DEBUG_IN_RAM					// work in "Debug in RAM" method
//#define __DEBUG_IN_FLASH				// work in "Debug in FLASH" method

//*******************************
//* Clock configue             
//*******************************
#define Fosc        12000000            // 10MHz~25MHz
#define Fcclk       (Fosc * 4)          // Fosc*(1~32), and must <=60MHZat this M=4
#define Fcco        (Fcclk * 2 * 2)     // CCO frq,Fcclk * 2,4,8,16. from 156MHz~320MHz, at this P=2
#define Fpclk       (Fcclk / 4) * 2     // VPB frq,(Fcclk / 4) * 1,2,4


//*******************************
//*  UART0           
//*******************************
typedef struct Uart0mode
{  UInt8 Datalength;	//data length 5/6/7/8
   UInt8 Stopbit;		//stop bit length 1/2
   UInt8 Paritybit;		//parity bit mode 0-no parity, 1-odd parity, 2-even parity
}  UART0MODE;



#endif /* __CONFIG_H */